Subject: Re: bug#9106: 24.0.50; ./configure causes massive recompilation

From: Jan Djärv <[email-masked]>
Date: Mon, 18 Jul 2011 20:20:19 +0200

Glenn Morris skrev 2011-07-18 19.48:
> Eli Zaretskii wrote:
>
>> Invocation of the `configure' script causes recompilation of many
>> source files, even though nothing has really changed.
>
> Why do you want to re-run configure - can you get away with just `make'?
> In principle, almost anything could have changed if you have re-run
> configure (?). Eg you could in principle be compiling for a different
> arch now. I'm not sure it's possible to distinguish those cases from
> cases where nothing has really changed.

'make' after a bzr upd often runs configure nowdays.  More often than not.

	Jan D.

>
>> It looks like the cause is lib/Makefile which states that several
>> generated headers in that directory depend on config.status.  So each
>> `configure' causes those headers to be regenerated, which in turn
>> triggers many files using those headers to be recompiled.
>
>